.SUFFIXES: .o .c


all: solunar

VERSION=0.1.0

CFLAGS=-Wall -DVERSION=\"$(VERSION)\" -g 

GCC=gcc

OBJS=main.o city.o pointerlist.o error.o latlong.o datetime.o suntimes.o roundutil.o trigutil.o timeutil.o moontimes.o mathutil.o holidays.o astrodays.o nameddays.o

solunar: $(OBJS)
	$(GCC)  -o solunar $(OBJS) -lm

.c.o:
	$(GCC) $(CFLAGS) -o $*.o -c $*.c

clean:
	rm -f *.o solunar

cityinfo.h: /usr/share/zoneinfo/zone.tab parse_zoneinfo.pl
	./parse_zoneinfo.pl

install:
	cp -p solunar /usr/bin

include dependencies.mak

